commit:     f7469cfde642625e06fd4eaff2388c87fbdf0978
Author:     Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
AuthorDate: Sat Aug 12 22:47:15 2017 +0000
Commit:     Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
CommitDate: Sat Aug 12 23:15:02 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f7469cfd

media-sound/gnome-sound-recorder: version bump 3.21.92 → 3.24.0.1

Package-Manager: Portage-2.3.6, Repoman-2.3.3

 media-sound/gnome-sound-recorder/Manifest          |  1 +
 .../gnome-sound-recorder-3.24.0.1.ebuild           | 44 ++++++++++++++++++++++
 2 files changed, 45 insertions(+)

diff --git a/media-sound/gnome-sound-recorder/Manifest 
b/media-sound/gnome-sound-recorder/Manifest
index 2b9f213df88..62c7f7e1849 100644
--- a/media-sound/gnome-sound-recorder/Manifest
+++ b/media-sound/gnome-sound-recorder/Manifest
@@ -1 +1,2 @@
 DIST gnome-sound-recorder-3.21.92.tar.xz 450092 SHA256 
41b2c2dfc6adaef0606627521b29e3063c4abb6213614cc699baa6e5f80ebee2 SHA512 
60afa42367f9087e580037213f06c1eab10a4a29fcf3c90f9737e73c9d6a1dbdb990cd010d7e33021c0e25bb33ff673e35bffb74d6fbc33b82047a0516ff31be
 WHIRLPOOL 
aee014fb6e4c316d476ce6331b081cd0d82013919bef80a4a8f8da0530141efd1d0a714f99825a3e51cfb197b335d6f677b899df2d9e2980c6bcf6b1d8176e6f
+DIST gnome-sound-recorder-3.24.0.1.tar.xz 452240 SHA256 
b8c6953c2eaf13c7d9c6c4e5a5c6ecfa87a160aa7bba0e40dbf7263afce54600 SHA512 
00e190e8d6a1a3961122485742705da4d85ef926453ff8098718566771600690562597f012f7cd9dc61b5910b4e75cc7518e86a092f052c3fc40a96310ab3c3f
 WHIRLPOOL 
0b853041e9e53e9a4b756fa7cac7aaef88a671bce57789e68ae25a3241873fe0d3ee24017bbee3d5a29e329ea1f33dd1233a9ca9a5a829e404d5b2ebca098aac

diff --git 
a/media-sound/gnome-sound-recorder/gnome-sound-recorder-3.24.0.1.ebuild 
b/media-sound/gnome-sound-recorder/gnome-sound-recorder-3.24.0.1.ebuild
new file mode 100644
index 00000000000..461f3c7fefe
--- /dev/null
+++ b/media-sound/gnome-sound-recorder/gnome-sound-recorder-3.24.0.1.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit gnome2
+
+DESCRIPTION="Simple sound recorder"
+HOMEPAGE="https://wiki.gnome.org/Design/Apps/SoundRecorder";
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+COMMON_DEPEND="
+       dev-libs/gjs
+       >=dev-libs/glib-2.46:2
+       >=dev-libs/gobject-introspection-1.31.6
+       x11-libs/gdk-pixbuf:2
+       >=x11-libs/gtk+-3.12:3[introspection]
+"
+RDEPEND="${COMMON_DEPEND}
+       media-libs/gstreamer:1.0[introspection]
+       media-libs/gst-plugins-base:1.0[introspection,ogg]
+       media-libs/gst-plugins-bad:1.0
+       media-libs/gst-plugins-good:1.0
+       media-plugins/gst-plugins-flac:1.0
+       media-plugins/gst-plugins-pulse:1.0
+
+"
+DEPEND="${COMMON_DEPEND}
+       >=dev-util/intltool-0.26
+       virtual/pkgconfig
+"
+
+src_prepare() {
+       gnome2_src_prepare
+
+    # FIXME: upstream should provide a way to set GST_INSPECT, bug #358755 & 
co.
+    # gst-inspect causes sandbox violations when a plugin needs write access to
+    # /dev/dri/card* in its init phase.
+    sed -e "s|\(gst10_inspect=\).*|\1$(type -P true)|" \
+        -i configure || die
+}

Reply via email to